Installing the newer libccid v1.4.4 on Mac OS X 10.7

I tried libccid v1.4.5 before but couldn't get it to compile. Here are all the needed steps again as Terminal commands to get 1.4.4. to work:

cd ~/Downloads
curl -k -O https://alioth.debian.org/frs/download.php/3579/ccid-1.4.4.tar.bz2
tar -xf ccid-1.4.4.tar.bz2
cd ccid-1.4.4
sed -i '.bak' 's/-arch i386 -arch x86_64/-arch x86_64/g' ./MacOSX/configure
./MacOSX/configure 
make
sudo make install</code>

If anyone is interested, I posted the terminal output of ./MacOSX/configure, make and sudo make install.

Also note that you need the Developer SDK for Mac OS X 10.6 (/Developer/SDKs/MacOSX10.6.sdk - I think I still had it as I was updating from Snow Leopard 10.6) and the headers for libusb (I installed mine via Homebrew: brew install libusb).

Now my Feitian R-301 smart card reader seems to work better than before.

Resources

Comments